def primzahlSieb(n):
    
    """
    Verhalten:
    Übergabe: natürliche Zahl n
    Rückgabe: Liste P mit allen Primzahlen,
              die <= n sind
    Testfälle:
    >>> primzahlSieb(4)
    [2, 3]
    >>> primzahlSieb(13)
    [2, 3, 5, 7, 11, 13]
    >>> primzahlSieb(20)
    [2, 3, 5, 7, 11, 13, 17, 19]
    >>> primzahlSieb(50)
    [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47]
    """

    if n <= 1:
        P = []
    else:
        P = [2]
        i = 3
        while i <= n:
            k = 0
            prim = True
            while k < len(P) and P[k]*P[k] <= i and prim:
                if i % P[k] == 0:
                    prim = False
                k = k + 1
            if prim:
                P = P + [i]
            i = i+1
    return P

if __name__ == "__main__":
    from doctest import testmod
    testmod(verbose=True)

