def istPrimzahl(n):
    
    """
    Verhalten:
    Übergabe: natürliche Zahl n
    Rückgabe: True, falls n eine Primzahl ist
              False, sonst
    Testfälle:
    >>> istPrimzahl(1)
    False
    >>> istPrimzahl(2)
    True
    >>> istPrimzahl(3)
    True
    >>> istPrimzahl(4)
    False
    >>> istPrimzahl(113)
    True
    >>> istPrimzahl(551)
    False
    """

    if n <= 1:
        prim = False
    else:
        prim = True
        k = 2
        while k*k <= n and prim:
            if n % k == 0:
                prim = False
            k = k+1
    return prim


def erzeugtePrimzahl(m, n):
    
    """
    Verhalten:
    Übergabe: natürliche Zahlen m und n
    Rückgabe: Primzahl aus dem Bereich m..n,
              sofern eine solche Zahl existiert;
              sonst kein Ergebnis
    """

    from random import randint
    gefunden = False
    while not gefunden:
        z = randint(m, n)
        if istPrimzahl(z):
            gefunden = True
    return z
